'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});
exports.HelpComponentItem = exports.DescriptionDivStyle = exports.HelpButton = exports.HelpDiv = exports.HelpIcon = exports.Bold = exports.HorizontalDivider = exports.VerticalDivider = exports.Title = exports.HelpPopUp = exports.HelpPopUpTitleText = exports.HelpOverlay = exports.transitionStyles = undefined;

var _templateObject = _taggedTemplateLiteral(['height:30px;'], ['height:30px;']),
    _templateObject2 = _taggedTemplateLiteral(['height:20px;'], ['height:20px;']),
    _templateObject3 = _taggedTemplateLiteral(['height:10px;'], ['height:10px;']);

var _styledComponents = require('styled-components');

var _styledComponents2 = _interopRequireDefault(_styledComponents);

var _odeumUi = require('odeum-ui');

var _media = require('../../theme/media');

var _media2 = _interopRequireDefault(_media);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _taggedTemplateLiteral(strings, raw) { return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }

var transitionStyles = exports.transitionStyles = {
	entering: { visibility: '', opacity: 1 },
	entered: { opacity: 1 },
	exiting: { opacity: 0 },
	exited: { opacity: 0, visibility: 'hidden' }
};

var HelpOverlay = /*#__PURE__*/exports.HelpOverlay = _styledComponents2.default.div.withConfig({
	displayName: 'HelpStyles__HelpOverlay'
})(['z-index:3;height:100vh;width:100vw;position:fixed;top:0%;left:0%;cursor:auto;']);

var HelpPopUpTitleText = /*#__PURE__*/exports.HelpPopUpTitleText = _styledComponents2.default.div.withConfig({
	displayName: 'HelpStyles__HelpPopUpTitleText'
})(['background:', ';text-align:center;vertical-align:middle;color:white;padding:5px;font-size:0.9em;'], function (p) {
	return p.theme.header.background;
});

var HelpPopUp = /*#__PURE__*/exports.HelpPopUp = _styledComponents2.default.div.withConfig({
	displayName: 'HelpStyles__HelpPopUp'
})(['background:white;border:1px solid #cbc8c8;border-radius:5px;z-index:4;height:', ';width:', ';min-width:', ';position:absolute;bottom:', ';right:', ';cursor:auto;transition:all 300ms ease;overflow:auto;display:flex;flex-flow:column;'], function (p) {
	return p.small ? '80vh' : '40vh';
}, function (p) {
	return p.small ? '95vw' : '25vw';
}, function (p) {
	return p.small ? '0' : '330px';
}, function (p) {
	return p.small ? '' : '150%';
}, function (p) {
	return p.small ? '' : '30%';
});

var Title = /*#__PURE__*/exports.Title = _styledComponents2.default.div.withConfig({
	displayName: 'HelpStyles__Title'
})(['font-weight:700;font-size:17px;color:', ';'], function (p) {
	return p.theme.workspace.color;
});

var VerticalDivider = /*#__PURE__*/exports.VerticalDivider = _styledComponents2.default.div.withConfig({
	displayName: 'HelpStyles__VerticalDivider'
})(['background:#e3e3e3;width:1px;height:100%;margin:0px 10px;']);

var HorizontalDivider = /*#__PURE__*/exports.HorizontalDivider = _styledComponents2.default.div.withConfig({
	displayName: 'HelpStyles__HorizontalDivider'
})(['background:#e3e3e3;width:100%;height:1px;margin:10px;']);

var Bold = /*#__PURE__*/exports.Bold = _styledComponents2.default.b.withConfig({
	displayName: 'HelpStyles__Bold'
})(['font-size:12px;margin-left:4px;']);

var HelpIcon = /*#__PURE__*/exports.HelpIcon = (0, _styledComponents2.default)(_odeumUi.Icon).withConfig({
	displayName: 'HelpStyles__HelpIcon'
})(['&:hover{background:', ';color:white;border-left:1px solid white;}'], function (props) {
	return props.theme.tab.hover;
});

var HelpDiv = /*#__PURE__*/exports.HelpDiv = _styledComponents2.default.div.withConfig({
	displayName: 'HelpStyles__HelpDiv'
})(['position:absolute;right:0;display:flex;flex-flow:row nowrap;cursor:pointer;border-left:1px solid #aaa;height:30px;align-items:center;width:130px;justify-content:center;', ' ', ' ', ' ', ' -webkit-transition:all 100ms ease-in-out;-moz-transition:all 100ms ease-in-out;transition:all 100ms ease-in-out;'], _media2.default.giant(_templateObject), _media2.default.desktop(_templateObject), _media2.default.tablet(_templateObject2), _media2.default.phone(_templateObject3));

var HelpButton = /*#__PURE__*/exports.HelpButton = _styledComponents2.default.div.withConfig({
	displayName: 'HelpStyles__HelpButton'
})(['padding:0 5px;display:flex;flex-flow:row nowrap;align-items:center;justify-content:center;&:hover{background:', ';color:white;border-left:1px solid white;border-radius:5px;}height:30px;', ' ', ' ', ' ', ''], function (props) {
	return props.theme.tab.selected;
}, _media2.default.giant(_templateObject), _media2.default.desktop(_templateObject), _media2.default.tablet(_templateObject2), _media2.default.phone(_templateObject3));

var DescriptionDivStyle = /*#__PURE__*/exports.DescriptionDivStyle = _styledComponents2.default.div.withConfig({
	displayName: 'HelpStyles__DescriptionDivStyle'
})(['display:flex;flex-flow:', ';text-align:', ';margin:10px;align-items:left;flex:', ';'], function (p) {
	return p.orientation;
}, function (p) {
	return p.alignment;
}, function (p) {
	return p.orientation !== 'row' ? 2 : 1;
});

var HelpComponentItem = /*#__PURE__*/exports.HelpComponentItem = _styledComponents2.default.div.withConfig({
	displayName: 'HelpStyles__HelpComponentItem'
})(['display:flex;flex-flow:column wrap;', ' color:', ';'], function (p) {
	return p.orientation === "row" ? 'flex:1;' : '';
}, function (p) {
	return p.theme.workspace.color;
});