'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});
exports.TabIconDiv = exports.SceneDiv = exports.Link = exports.TabText = exports.TabList = undefined;

var _styledComponents = require('styled-components');

var _styledComponents2 = _interopRequireDefault(_styledComponents);

var _reactRouterDom = require('react-router-dom');

var _Functions = require('../utils/Functions');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var TabList = /*#__PURE__*/exports.TabList = _styledComponents2.default.div.withConfig({
	displayName: 'TabStyles__TabList'
})(['flex:1;display:flex;flex-flow:row;list-style:none;padding:0;margin:0;max-height:40px;align-items:end;']);

var TabText = /*#__PURE__*/exports.TabText = _styledComponents2.default.div.withConfig({
	displayName: 'TabStyles__TabText'
})(['text-overflow:ellipsis;overflow:hidden;white-space:nowrap;']);

var Link = /*#__PURE__*/exports.Link = (0, _styledComponents2.default)(_reactRouterDom.NavLink).withConfig({
	displayName: 'TabStyles__Link'
})(['text-decoration:none;align-items:center;justify-content:center;display:flex;height:40px;margin-right:3px;max-width:250px;min-width:60px;padding-left:20px;padding-right:20px;flex-flow:row nowrap;border-radius:5px 5px 0px 0px;color:', ';background:', ';-webkit-transition:all 100ms ease-in-out;-moz-transition:all 100ms ease-in-out;transition:all 100ms ease-in-out;&:hover{background:', ';color:white;}'], function (props) {
	return props.activetab === 'true' ? props.theme.tab.activeColor : props.theme.tab.color;
}, function (props) {
	return props.activetab === 'true' ? props.theme.tab.selected : props.theme.tab.unselected;
}, function (props) {
	return props.theme.tab.hover;
});

var SceneDiv = /*#__PURE__*/exports.SceneDiv = _styledComponents2.default.div.withConfig({
	displayName: 'TabStyles__SceneDiv'
})(['-ms-grid-column:', ';-ms-grid-row:', ';-ms-grid-column-span:', ';-ms-grid-row-span:', ';grid-area:workspace;display:flex;flex-flow:column nowrap;margin:20px 20px 20px 20px;overflow-y:auto;-webkit-overflow-scrolling:touch;'], function (p) {
	return (0, _Functions.rowColCalc)(p.theme.app.gridArea, 'workspace', 'column');
}, function (p) {
	return (0, _Functions.rowColCalc)(p.theme.app.gridArea, 'workspace', 'row');
}, function (p) {
	var x = (0, _Functions.spanCalc)(p.theme.app.gridArea, 'workspace', 'column');return x > 1 ? x : 'none';
}, function (p) {
	var y = (0, _Functions.spanRowCalc)(p.theme.app.gridArea, 'workspace');return y > 1 ? y : 'none';
});

var TabIconDiv = /*#__PURE__*/exports.TabIconDiv = _styledComponents2.default.div.withConfig({
	displayName: 'TabStyles__TabIconDiv'
})(['width:18px;height:18px;margin-right:8px;display:flex;align-items:center;justify-content:center;']);